#!/usr/bin/env python

#-----------------------------------------------------------------------
# urlencode.py
# Author: Bob Dondero
#-----------------------------------------------------------------------

import sys
import urllib.parse

#-----------------------------------------------------------------------

def main():

    if len(sys.argv) != 2:
        print('Usage: python %s unencodedstr' % sys.argv[0])
        sys.exit(1)

    original_str = sys.argv[1]

    encoded_str = urllib.parse.quote_plus(original_str)
    decoded_str = urllib.parse.unquote_plus(encoded_str)

    print('Original string: ' + original_str)
    print('Encoded string:  ' + encoded_str)
    print('Decoded string:  ' + decoded_str)

#-----------------------------------------------------------------------

if __name__ == '__main__':
    main()
